# $Revision: 1.49.2.27 $, $Date: 2008-02-19 23:26:32 $
# TODO
# - cc
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace tools
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif

%ifarch sparc
# kernel modules won't build on sparc32, no I2C in kernel
%undefine	with_kernel
%endif

%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	em8300
Summary:	DXR3 and H+ driver
Summary(pl):	Sterowniki dla DXR3 i H+
Name:		%{pname}%{_alt_kernel}
Version:	0.16.0
Release:	63
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/dxr3/%{pname}-%{version}.tar.gz
# Source0-md5:	9e9b769b99927079b4fd6ec423d95049
Source1:	%{pname}.init
Source2:	%{pname}.sysconf
Patch0:		%{pname}-make.patch
URL:		http://dxr3.sourceforge.net/
%if %{with userspace}
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	pkgconfig
%endif
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.14}
BuildRequires:	rpmbuild(macros) >= 1.308
%endif
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	dxr3
Obsoletes:	em8300-libs
%if %{without userspace}
ExcludeArch:	sparc
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
em8300 is a Linux driver for Creative DXR3 and Sigma Designs
Hollywood+ cards. Both cards are hardware MPEG1, MPEG2, AC3 decoders.
Additionaly Xine and MPlayer with help of this driver allow you to
play all the video formats that they recognise through the tv-out of
these cards.

%description -l pl
em8300 pozwala na uruchomienie pod Linuksem kart Creative DXR3 i Sigma
Designs Hollywood+. Obie karty, o prawie identycznej konstrukcji s
sprztowymi dekoderami MPEG1, MPEG2 i AC3. Programy Xine i MPlayer
pozwalaj przy uyciu tego sterownika na odtwarzanie przez wyjcie
telewizyjne tych kart nie tylko w/w formatw, ale take wszystkich
formatw video, ktre te programy rozpoznaj.

%package devel
Summary:	Header file to communicate with em8300 Linux kernel modules
Summary(pl):	Plik nagwkowy do komunikacji z moduami jdra Linuksa em8300
Group:		Development/Libraries
Obsoletes:	em8300-static

%description devel
Header file to communicate with em8300 Linux kernel modules.

%description devel -l pl
Plik nagwkowy do komunikacji z moduami jdra Linuksa em8300.

%package gtk
Summary:	Utility programs for em8300 using GTK+
Summary(pl):	Programy uytkowe em8300 uywajce bibliteki GTK+
Group:		X11/Applications
Requires:	%{pname} = %{version}-%{release}

%description gtk
Utility programs for em8300 using GTK+ toolkit.

%description gtk -l pl
Programy uytkowe em8300 uywajce biblioteki GTK+.

%package -n kernel%{_alt_kernel}-video-em8300
Summary:	em8300 Linux kernel modules
Summary(pl):	Moduy jdra Linuksa em8300
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-video-em8300
em8300 Linux kernel modules.

%description -n kernel%{_alt_kernel}-video-em8300 -l pl
Moduy jdra Linuksa em8300.

%package -n kernel%{_alt_kernel}-smp-video-em8300
Summary:	em8300 Linux SMP kernel modules
Summary(pl):	Moduy jdra Linuksa SMP em8300
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-smp-video-em8300
em8300 Linux SMP kernel modules.

%description -n kernel%{_alt_kernel}-smp-video-em8300 -l pl
Moduy jdra Linuksa SMP em8300.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p0

%build
%if %{with userspace}
%{__aclocal} -I autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
%endif

%if %{with kernel}
cd modules
for cfg in %{?with_dist_kernel:%{?with_smp:smp} up}%{!?with_dist_kernel:nondist}; do
	if [ ! -r "%{_kernelsrcdir}/config-$cfg" ]; then
		exit 1
	fi
	install -d o/include/linux
	ln -sf %{_kernelsrcdir}/config-$cfg o/.config
	ln -sf %{_kernelsrcdir}/Module.symvers-$cfg o/Module.symvers
	ln -sf %{_kernelsrcdir}/include/linux/autoconf-$cfg.h o/include/linux/autoconf.h
%if %{with dist_kernel}
	%{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts
%endif
	install -d o/include/config
	touch o/include/config/MARKER
	ln -sf %{_kernelsrcdir}/scripts o/scripts

	cp ../include/linux/em8300.h o/include/linux/em8300.h

	%{__make} -C %{_kernelsrcdir} clean \
		RCS_FIND_IGNORE="-name '*.ko' -o" \
		SYSSRC=%{_kernelsrcdir} \
		SYSOUT=$PWD/o \
		M=$PWD O=$PWD/o \
		%{?with_verbose:V=1}
	%{__make} -C %{_kernelsrcdir} modules \
			CC="%{__cc}" CPP="%{__cpp}" \
		SYSSRC=%{_kernelsrcdir} \
		SYSOUT=$PWD/o \
		M=$PWD O=$PWD/o \
		%{?with_verbose:V=1}

	for i in em8300 adv717x bt865; do
		mv $i{,-$cfg}.ko
	done
done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{pname}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{pname}
%endif

%if %{with kernel}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/kernel/drivers/video
for i in adv717x bt865 em8300; do
	install modules/$i-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}.ko \
		$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/video/$i.ko
done
%if %{with smp} && %{with dist_kernel}
for i in adv717x bt865 em8300; do
	install modules/$i-smp.ko \
		$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/video/$i.ko
done
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{pname}
%service %{pname} restart

%preun
if [ "$1" = "0" ]; then
	%service stop
	/sbin/chkconfig --del %{pname}
fi

%post	-n kernel%{_alt_kernel}-video-em8300
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-video-em8300
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-video-em8300
%depmod %{_kernel_ver}smp

%postun	-n kernel%{_alt_kernel}-smp-video-em8300
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README modules/README*
%attr(755,root,root) %{_bindir}/em8300setup
/lib/firmware/em8300.bin
%dir %{_datadir}/em8300
%{_datadir}/em8300/em8300.pm
%attr(755,root,root) %{_datadir}/em8300/*.pl
%{_mandir}/man1/em8300setup.1*
%attr(754,root,root) /etc/rc.d/init.d/%{pname}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{pname}
# subpackage? (is it usable without alsa?)
%{_datadir}/alsa/cards/EM8300.conf

%files devel
%defattr(644,root,root,755)
%{_includedir}/linux/em8300.h

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autocal
%attr(755,root,root) %{_bindir}/dhc
%attr(755,root,root) %{_bindir}/dxr3view
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-video-em8300
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/video/*.ko*
%endif

%if %{with dist_kernel} && %{with smp}
%files -n kernel%{_alt_kernel}-smp-video-em8300
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/drivers/video/*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: em8300.spec,v $
Revision 1.49.2.27  2008-02-19 23:26:32  glen
- release 63

Revision 1.49.2.26  2008-02-15 01:29:33  glen
- use kernel vermagic in deps

Revision 1.49.2.25  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.49.2.24  2008-01-30 11:36:11  glen
- undefine kernel later, allowing userspace being disabled if alt kernel was wanted

Revision 1.49.2.23  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.49.2.22  2008-01-21 15:03:15  glen
- skip sparc package building if even userspace wasn't wanted

Revision 1.49.2.21  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.49.2.20  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.49.2.19  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.49.2.18  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.49.2.17  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.49.2.16  2007/10/22 21:31:30  glen
- %{_kernel_ver_str} to module packages

Revision 1.49.2.15  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.49.2.14  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.49.2.13  2007/10/22 19:37:04  glen
- use %service

Revision 1.49.2.12  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.49.2.11  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.49.2.10  2007/10/01 21:25:45  glen
- rel 54

Revision 1.49.2.9  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.49.2.8  2007/09/30 22:01:10  adamg
- use _rel (consistent with other Ac kernel packages)

Revision 1.49.2.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.49.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.49.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.49.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.49.2.3  2007/04/25 22:11:37  glen
- rel 6 (kernel 2.6.16.49)

Revision 1.49.2.2  2007/03/27 22:17:58  glen
- rel 5 (kernel 2.6.16.45)

Revision 1.49.2.1  2007/03/16 18:27:55  glen
- rel 4

Revision 1.49  2007/01/23 22:16:59  hawk
- release 3

Revision 1.48  2006/12/12 10:07:09  hawk
- alt_kernel support, BR rpm-build-macros >= 1.308
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.47  2006/12/04 18:10:10  qboosh
- updated BRs (uses gtk+2 now)
- package alsa .conf file

Revision 1.46  2006/12/04 10:22:24  hawk
- updated to 0.16.0

Revision 1.45  2006/11/16 15:33:41  darekr
- simplify %setup

Revision 1.44  2006/11/13 14:54:48  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.43  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.42  2006/04/07 06:37:43  hawk
- kernel modules won't build on sparc32, no I2C in kernel

Revision 1.41  2006/04/06 23:41:07  glen
- cc is used

Revision 1.40  2006/03/12 10:22:54  pluto
- release 1.

Revision 1.39  2006/03/12 10:22:20  pluto
- build system updated.

Revision 1.38  2006/02/26 17:06:30  matowy
- TODO done

Revision 1.37  2006/02/19 13:40:04  qboosh
- Obsoletes for em8300-{libs,static}

Revision 1.36  2006/02/19 13:27:46  qboosh
- post-update cleanup
- package firmware in proper place, moved (non-gtk) em8300setup to base
- -devel contains only header file (ioctl API for kernel module),
  libdxr3 has been killed
- init script needs fix (uses script that has been killed)

Revision 1.35  2006/02/12 00:18:20  matowy
- kill em8300_microcode_upload because segfaults

Revision 1.34  2006/02/12 00:12:01  matowy
- fix module building

Revision 1.33  2006/02/11 23:57:32  matowy
- added patch to kill Rules.make
- corected unpacking sources

Revision 1.32  2006/02/11 23:47:12  matowy
- kill libs package

Revision 1.31  2006/02/11 23:41:33  matowy
- starting update to 0.15.2

Revision 1.30  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.29  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.28  2004/09/30 18:22:50  cieciwa
- beginig preoared for 2.6.8-1.
  NFY

Revision 1.27  2004/09/19 13:31:08  adasi
- arrrghhhh

Revision 1.26  2004/09/19 13:30:32  adasi
- Release undumbed

Revision 1.25  2004/09/19 13:29:01  adasi
- First try of new snap with 2.6 modules
- I'll test it today evening
- Building SMP modules needs fixing (sb know how?)

Revision 1.24  2004/09/13 00:39:18  havner
- rel 2 for rebuild with new kernel

Revision 1.23  2004/08/22 14:20:08  qboosh
- fixed build with kernel modules
- modules enabled on sparc64

Revision 1.22  2004/08/22 12:28:49  qboosh
- no kernel modules on sparc due to lack of i2c modules

Revision 1.21  2004/08/22 12:19:13  qboosh
- updated to 0.14.0
- no Linux 2.6 port yet, so build kernel24 modules for now

Revision 1.20  2004/01/19 23:05:08  qboosh
- added PIC fix to automake patch; release 3

Revision 1.19  2003/12/31 02:34:04  qboosh
- new-style bconds, kernel/userspace scheme
- build up/smp (untested - requires 2.4.x with old i2c)
- separated libs, some reorders, release 2

Revision 1.18  2003/08/26 12:33:28  qboosh
- separated modules, killed _bindir, removed COPYING (just GPL)

Revision 1.17  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.16  2003/08/08 18:48:36  gotar
- upgraded to 0.13.0,
- don't override CFLAGS and LDFLAGS,
- use ac/am macros intead of bootstrap script.

Revision 1.15  2003/07/10 12:59:36  trojan
- added using depmod macro

Revision 1.14  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.13  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:47:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/16 08:33:42  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.10  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.9  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.8  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/09/05 17:21:22  blues
- few more fixes - added static package, changes in groups - STBR now

Revision 1.6  2002/09/05 17:10:05  blues
- simplified doc - STBR

Revision 1.5  2002/07/11 00:55:04  rrw
- added initscripts to load apropriate modules;
- tested and found working as advertised;
- release 1;

Revision 1.4  2002/07/04 00:10:55  kloczek
- removed kernel-headers from BuildRequires and some cosmetics and simplifications.

Revision 1.3  2002/07/03 08:26:42  ankry
- adapterized

Revision 1.2  2002/07/02 17:22:47  rrw
- everything builds and installs correctly, however I didn't even try to
  run it, so:
- NOT FINISHED YET, WILL BREAK YOUR COMPUTER, NECK AND RAPE YOUR MOUSE;

Revision 1.1  2002/07/02 10:34:25  rrw
- initial spec from template.spec;
